Subject: Re: [ntpwg] NTS review

From: Florian Weimer <[email-masked]>
Date: Sat, 17 Sep 2016 18:33:06 +0200

* Daniel Franke:

> NTS-KE clearly is not an "unrelated" protocol, but it  *is* a separate one.
> Anything meant to be adaptable to PTP should not be considered a part
> of NTP. Furthermore, my implementation plan for at least the server side
> of NTS-KE is to have it live in a separate daemon that can run alongside
> ntpd, chrony, or whatever else, and be tightly sandboxed. The only
> information the two processes need to share with each other is the
> master key used to encrypt and authenticate the cookies.

How do you ensure that the address validation hashes which are tied to
the client address are computed correctly?  Do you discard the client
port?
_______________________________________________
ntpwg mailing list
[email-masked]
http://lists.ntp.org/listinfo/ntpwg